Last Comment Bug 306223 - Allow to easily filter errors by category
: Allow to easily filter errors by category
Status: RESOLVED FIXED
[verified-seamonkey1.1a]
: fixed-seamonkey1.1a, fixed1.8.1
Product: Toolkit Graveyard
Classification: Graveyard
Component: Error Console (show other bugs)
: Trunk
: All All
-- enhancement (vote)
: mozilla1.8.1beta2
Assigned To: Simon Bünzli
:
:
Mentors:
Depends on: 275265
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-28 04:08 PDT by Simon Bünzli
Modified: 2016-06-29 11:02 PDT (History)
8 users (show)
asa: blocking1.8b5-
mconnor: blocking‑firefox2-
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch (1.22 KB, patch)
2005-08-28 04:09 PDT, Simon Bünzli
mconnor: review+
mconnor: approval1.8.1+
Details | Diff | Splinter Review
(Bv1-XPFE) <consoleBindings.xml> [Checkin: Comment 14 & 16] (980 bytes, patch)
2006-07-18 00:16 PDT, Serge Gautherie (:sgautherie)
neil: review+
neil: superreview+
mbeltzner: approval1.8.1+
Details | Diff | Splinter Review

Description User image Simon Bünzli 2005-08-28 04:08:26 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8b4) Gecko/20050827 Firefox/1.0+
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8b4) Gecko/20050827 Firefox/1.0+

The attached one-line patch allows extensions to very easily filter out unwanted
categories. This would come in handy, as the JS Console is about to be used for
non-JS warnings/errors as well.

Reproducible: Always

Steps to Reproduce:
Comment 1 User image Simon Bünzli 2005-08-28 04:09:29 PDT
Created attachment 194084 [details] [diff] [review]
patch
Comment 2 User image Dave Townsend [:mossop] 2005-08-28 04:15:57 PDT
Maybe a dupe of bug 302211
Comment 3 User image Simon Bünzli 2005-08-28 04:20:43 PDT
Bug 302211 is a request to add filtering UI or a pref. This bug is just about a
back-end patch, providing a standard method for extension authors (such as
myself) to add the UI.
Comment 4 User image Peter van der Woude [:Peter6] 2005-08-29 13:23:44 PDT

*** This bug has been marked as a duplicate of 275265 ***
Comment 5 User image Simon Bünzli 2005-08-29 14:21:46 PDT
No duplicate of bug 275265, either, since that bug is also about UI, while this
one is about a simple back-end change (see the attached patch).
Comment 6 User image Simon Bünzli 2005-09-12 15:58:05 PDT
What are the chances of seeing either this one or one of the two dupe candidates
(bug 302211 and bug 275265) fixed in time for Firefox 1.5?

This would considerably speed up the console's loading time when Console Filter
is installed (cf. http://forums.mozillazine.org/viewtopic.php?p=1734462#1734462
). In general, the attached patch would allow for a much cleaner way of
filtering the console without having to dive into XBL idiosyncracies, allowing
to use either CSS or JS for filtering - making it thus more straightforward for
extensions to provide any of the functionality of the mentioned bugs.
Comment 7 User image Asa Dotzler [:asa] 2005-09-13 10:12:59 PDT
We're too far into this release to be considering feature additions like this.
You should work on getting this landed on the trunk for the next major release
after 1.5.
Comment 8 User image :Gavin Sharp [email: gavin@gavinsharp.com] 2006-03-28 09:28:21 PST
mozilla/toolkit/components/console/content/consoleBindings.xml 	1.10
Comment 9 User image Simon Bünzli 2006-07-13 14:01:12 PDT
Since bug 312962 seems to be going nowhere, this one-line patch would at least make it considerably easier for extension authors to work around the console's current limitations.
Comment 10 User image Mike Connor [:mconnor] 2006-07-14 10:23:18 PDT
Not going to block on this, but will take the patch?
Comment 11 User image :Gavin Sharp [email: gavin@gavinsharp.com] 2006-07-17 09:31:59 PDT
mozilla/toolkit/components/console/content/consoleBindings.xml 	1.9.2.1
Comment 12 User image Serge Gautherie (:sgautherie) 2006-07-18 00:16:06 PDT
Created attachment 229629 [details] [diff] [review]
(Bv1-XPFE) <consoleBindings.xml>
[Checkin: Comment 14 & 16]

[Mozilla/5.0 (Windows; U; Win98; en-US; rv:1.8.1b1) Gecko/20060717 SeaMonkey/1.1a] (nightly) (W98SE)

Port Toolkit patch to XPFE.

I've been running with this for half a day, without noticing any issue:
warnings/errors/exceptions still display as before.
Comment 13 User image Serge Gautherie (:sgautherie) 2006-07-23 16:05:06 PDT
Comment on attachment 229629 [details] [diff] [review]
(Bv1-XPFE) <consoleBindings.xml>
[Checkin: Comment 14 & 16]

'approval1.8.1=?': (XPFE only)
Trivial U.I. code addition, sync'ing with Toolkit, no risk.
Comment 14 User image Martijn Wargers [:mwargers] 2006-07-23 23:57:17 PDT
Checking in consoleBindings.xml;
/cvsroot/mozilla/xpfe/components/console/resources/content/consoleBindings.xml,v
  <--  consoleBindings.xml
new revision: 1.25; previous revision: 1.24
done

Checked Bv1-XPFE patch in on trunk.
Comment 15 User image Mike Beltzner [:beltzner, not reading bugmail] 2006-07-24 10:33:00 PDT
Comment on attachment 229629 [details] [diff] [review]
(Bv1-XPFE) <consoleBindings.xml>
[Checkin: Comment 14 & 16]

a=drivers. Please go ahead and land this on the branch.
Comment 16 User image Martijn Wargers [:mwargers] 2006-07-24 11:59:56 PDT
Checking in consoleBindings.xml;
/cvsroot/mozilla/xpfe/components/console/resources/content/consoleBindings.xml,v
  <--  consoleBindings.xml
new revision: 1.23.8.2; previous revision: 1.23.8.1
done

Checked Bv1-XPFE patch in on 1.8.1 branch.
Comment 17 User image Serge Gautherie (:sgautherie) 2006-07-25 17:57:21 PDT
[Mozilla/5.0 (Windows; U; Win98; en-US; rv:1.8.1b1) Gecko/20060725 SeaMonkey/1.1a] (nightly) (W98SE)

V.Fixed on MOZILLA_1_8_BRANCH, by looking at packaged file, since this code is not directly used.

Note You need to log in before you can comment on or make changes to this bug.